| OpenZWave Library 1.6.0

Classes | Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
OpenZWave::TimerThread Class Reference

The TimerThread class makes it possible to schedule events to happen at a certain time in the future. More...

`#include <TimerThread.h>`

## Classes
struct | TimerEventEntry

## Public Types
typedef function< void(uint32)> | TimerCallback

## Public Member Functions
| TimerThread (Driver *_driver)
| ~TimerThread ()

## Static Public Member Functions
static void | TimerThreadEntryPoint (Event *_exitEvent, void *_context)

## Friends
class | Timer

## Detailed Description

The TimerThread class makes it possible to schedule events to happen at a certain time in the future.

## Member Typedef Documentation

## ◆ TimerCallback

typedef function<void(uint32)> OpenZWave::TimerThread::TimerCallback

A timer callback function.

## Constructor & Destructor Documentation

## ◆ TimerThread()

TimerThread::TimerThread | ( | Driver * | _driver | ) |

Constructor.

## ◆ ~TimerThread()

TimerThread::~TimerThread | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ TimerThreadEntryPoint()

void TimerThread::TimerThreadEntryPoint | ( | Event * | _exitEvent,
|  | void * | _context
| ) |  |
| static

Main entry point for the timer thread. Wrapper around TimerThreadProc.

Parameters

  _exitEvent | Exit event indicating the thread should exit
  _context | A TimerThread object

## Friends And Related Function Documentation

## ◆ Timer

friend class Timer
| friend

The documentation for this class was generated from the following files:

- TimerThread.h
- TimerThread.cpp